Bug 609041 - Numeric keyboard doesn't write numbers
Numeric keyboard doesn't write numbers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 05:41 EDT by Milan Crha
Modified: 2013-04-30 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 13:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Crha 2010-06-29 05:41:20 EDT
I'm running a vncserver on Fedora 13 and connecting to it with a vncviewer from Fedora 12, and the numeric keypad doesn't write numbers, but always moves cursor or does such things. It didn't do that when I was connecting to a server on Fedora 11 (or 10, I'm not 100% sure now) and I changed only the server side, not the client side.

Exact package versions:
 - Fedora 13 server: tigervnc-server-1.0.90-0.11.20100420svn4030.fc13.x86_64
 - Fedora 12 client: tigervnc-1.0.0-3.fc12.i686
Comment 1 Adam Tkac 2010-07-14 07:50:11 EDT
This issue is trickier than it looks, proper fix requires significant changes in the keyboard related code. For now please use "standard" keys for writing numbers.
Comment 2 Bug Zapper 2011-06-01 11:17:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Milan Crha 2011-06-01 13:38:49 EDT
Heh, this is quite old. I do not use vnc anymore. Let's close it. If Adam can update whether he found time to fix the newly written code then it'll be nice.

Note You need to log in before you can comment on or make changes to this bug.